<script>
	import {
		store
	} from '@/store'

	export default {
		onLaunch: function() {
			console.warn('当前组件仅支持 uni_modules 目录结构 ，请升级 HBuilderX 到 3.1.0 版本以上！')
			console.log('App Launch')
			store.dispatch('fetchConfigList')
			store.dispatch('getUserInfo')
			if(uni.getStorageSync('token')){
				store.dispatch("login")
			}
		},
		onShow: function() {
			console.log('App Show')
		},
		onHide: function() {
			console.log('App Hide')
		}
	}
</script>

<style lang="scss">
	/*每个页面公共css */
	@import '@/uni_modules/uni-scss/index.scss';
	/* 注意要写在第一行，同时给style标签加入lang="scss"属性 */
	@import "@/uni_modules/uview-plus/index.scss";
	// 设置整个项目的背景色
	@import "@/style/index.scss";

	page {
		background-color: #F5F5F7;
	}

	.example-info {
		font-size: 14px;
		color: #333;
		padding: 10px;
	}
</style>